User (Object)

Includes details about the users who are registered on a particular business

  • This value is set when a guest account is created on the Punchh Platform and varies depending on business configurations. For example:

    • If an eClub account is created with a historical registration date, that specific date is returned in this parameter.
    • If guest data is migrated from a previous platform and includes a registration date, the system creates the guest account with this registration date from the prior system, and the API returns that date in this parameter.
  • Address of the user

  • Whether or not the user has undergone age verification. Possible Values: true, false. The value is set to true if the user's age is verified; otherwise, it is set to false. The response returns this parameter in sign-in, sign-up, and user update APIs if the age verification is enabled for the business in the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration setting.

  • Anniversary date of the user, in YYYY-MM-DD format

  • URL that a user can use to download the user's associated loyalty Apple pass

  • Whether the user has an Apple sign-up or not. This will return true for the first time sign-up.

  • Unique ID generated by Apple

  • URL of the user's profile image uploaded to an online file storage system. This will be used for users who signed up using email.

  • Date of birth of the user, in YYYY-MM-DD format

  • City where the user lives

  • Email address used for communication with the user

  • Date/time when the user was created in the system, in ISO 8601 format

  • Unique email address used to identify the user

  • Whether the email address of the user has been verified or not

  • Indicates whether the user signed up using Facebook. This parameter returns true the first time a user signs up in the mobile app using Facebook. For all subsequent logins, it returns a null value.

  • List of the user's favorite locations

  • List of store numbers of the user's favorite locations

  • Facebook ID that identifies the user

  • First name of the user

  • Gender of the user

  • URL that a user can use to download the user's associated loyalty Google pass

  • Whether the user has generated a Facebook email or not

  • Last name of the user

  • Whether the user has subscribed to receive marketing emails or not

  • Whether the user has subscribed to marketing push notifications or not

  • Whether the user has a migrate status or not

  • Whether the user has configured a passcode for gift cards or not

  • Phone number of the user

  • Answers given by the user while filling in the user profile. The user submits answers to profile field questions that are configured in the Punchh platform. A total of 25 answers can be submitted. The keys range from 'upf0' to 'upf24'. If questions have multiple answers, the values should be separated by a | character (pipe).

    Properties: 3
  • Referral code of the user. A user can refer others to join the business loyalty program by sharing this referral code. When a referred user signs up and enters the shared referral code in the mobile app, this referral_code must be passed in the invite_code request parameter when calling the Sign up / Register API.

  • Referral URL of the user

  • The secondary email address of the user is configured when a user signs up with Facebook/Apple but does not share the email address. The app asks for an alternate email address, which is kept as the secondary_email.

  • Whether the user has subscribed to SMS services or not

  • State where the user lives

  • Whether multiple check-ins are allowed for a user. This is used mostly for testing purposes by developers.

  • Whether the terms and conditions of a business have been accepted by a user or not

  • Salutation as selected by the user

  • Date/time when the user was updated in the system, in ISO 8601 format

  • Barcode that identifies the user

  • QR code that identifies the user

  • A unique ID that identifies the user. This smaller code can be converted to a QR code in the app and scanned at some POS systems that do not support longer codes. Alternatively, a user could give this to the POS operator if the POS does not have a scanner.

  • ID that identifies the user

  • Date and time when the user became a loyalty member

  • Relatives of the user. Valid values are "kid" and "spouse".

  • Mode of verification (available only for a user in awaiting migration state)

  • Zip code where the user lives

Examples
{
  "address": "",
  "anniversary": "2013-02-16",
  "avatar_remote_url": null,
  "birthday": "1999-01-01",
  "city": "",
  "communicable_email": "test@example.com",
  "created_at": "2019-01-11T09:08:25Z",
  "email": "test@example.com",
  "email_verified": false,
  "facebook_signup": null,
  "apple_signup": null,
  "apple_uid": null,
  "favourite_location_ids": "306082,333070,304374",
  "favourite_store_numbers": "12345,0604,1234",
  "fb_uid": null,
  "first_name": "FIRST_NAME_GOES_HERE",
  "gender": "",
  "has_generated_fb_email": false,
  "last_name": "LAST_NAME_GOES_HERE",
  "marketing_email_subscription": true,
  "marketing_pn_subscription": true,
  "migrate_status": false,
  "passcode_configured_for_giftcards": false,
  "phone": "1111111111",
  "profile_field_answers": {
    "test1": "Option 1"
  },
  "referral_code": "REFERRAL_CODE_GOES_HERE",
  "referral_path": "URL_GOES_HERE",
  "secondary_email": "",
  "state": "",
  "superuser": false,
  "terms_and_conditions": true,
  "title": "",
  "updated_at": "2020-04-29T04:18:24Z",
  "user_as_qrcode": "QR_CODE_GOES_HERE",
  "user_code": "P11111111",
  "user_id": 111111111,
  "preferred_locale": "en",
  "user_relations": [],
  "zip_code": null,
  "verification_mode": null,
  "sms_subscription": true,
  "apple_pass_url": "APPLE_PASS_URL_GOES_HERE",
  "google_pass_url": "GOOGLE_PASS_URL_GOES_HERE",
  "user_joined_at": "2019-01-11T09:08:25Z"
}